#
# spec file for package ghc-summoner
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name summoner
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.0.6
Release:        1.9
Summary:        Tool for creating completely configured production Haskell projects
License:        MPL-2.0
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-generic-deriving-devel
BuildRequires:  ghc-neat-interpolation-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-relude-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-tomland-devel
%if %{with tests}
BuildRequires:  ghc-hedgehog-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hedgehog-devel
%endif

%description
Tool for creating completely configured production Haskell projects.
See README.md for details.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/summon

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Sun Jul 29 2018 psimons@suse.com
- Update summoner to version 1.0.6.
  1.0.6
  =====
  * Use `relude` instead of `universum`
  * [#105](https://github.com/kowainik/summoner/issues/105):
    Add `--ignore-config` option.
* Sun Jul 22 2018 psimons@suse.com
- Update summoner to version 1.0.5.
  1.0.5
  =====
  * [#100](https://github.com/kowainik/summoner/issues/100):
    Bump up to `ghc-8.4.3`. Add support for `Ghc843` in code
    and make it default.
  * Make CI badges in README be shown depending on the chosen options.
  * [#99](https://github.com/kowainik/summoner/issues/99):
    UseTravis-specific env variable `TRAVIS_BUILD_DIR` in created travis file.
  * [#97](https://github.com/kowainik/summoner/issues/97):
    Add cabal to created travis file.
  * [#96](https://github.com/kowainik/summoner/issues/96):
    Add option to choose `cabal`, `stack` or both.
* Tue Jul 10 2018 psimons@suse.com
- Add summoner at version 1.0.4.
